import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  claimId: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  updatedById: SortOrderSchema.optional(),
  npiProviderId: SortOrderSchema.optional(),
  totalBilled: SortOrderSchema.optional(),
  totalPaid: SortOrderSchema.optional(),
  totalAdjusted: SortOrderSchema.optional(),
  totalDue: SortOrderSchema.optional(),
  mhPaidAmount: SortOrderSchema.optional(),
  copayment: SortOrderSchema.optional(),
  adjustment: SortOrderSchema.optional()
}).strict();
export const PaymentSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.PaymentSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PaymentSumOrderByAggregateInput>;
export const PaymentSumOrderByAggregateInputObjectZodSchema = makeSchema();
